# Data Mapping cfxdm - dm:dns\_ip\_to\_name

**dm:dns\_ip\_to\_name:** It allows to resolve the IP addresses listed in a column to FQDN names into another column.

**dm:dns\_ip\_to\_name:** Syntax

* **from\_cols** (mandatory)**:** Comma-separated list of column names which has IP Address values
* **to\_cols** (mandatory)**:** Comma-separated list of column names to store resolved DNS Names (FQDN).
* **keep\_value** (optional): If it is set to **'yes',** it stores the original value, else it stores the 'null' value. By default, it is set to '**no**'
* **num\_threads** (optional): Number of DNS lookup threads. Must be in the range of 1 to 20, Default is set to 5.

{% hint style="info" %}
This function uses the DNS servers configured on the host os where **RDA** is installed and running for IP Address to DNS or FQDN name resolution.
{% endhint %}

{% hint style="info" %}
It requires an input dataset or a tag that has one or more columns with IP Address values.
{% endhint %}

### Example 1:

Step 1: Create an empty **dm\_dns\_ip\_to\_name\_example\_1** using AIOps studio as shown in the below screenshot

![](/files/-Mg7iV1YRVezolGeEuYM)

Step 2: Add the following pipeline code/commands into the above-created pipeline as shown in the below screenshot:

You can copy the below code into your pipeline and execute that in your environment.

\
*`###### Pipeline created a dataset with ip_address, process_name and pid (runtime`* \
*`###### information on a windows box.`*\
*`###### Pipeline uses dm:dns_ip_to_name function to resolve name using DNS server using`*\
*`###### RDA macahine where it is installed`*\
\
*`@dm:empty`* \
*`--> @dm:addrow ip_address = '10.95.122.221' & process_name = 'System Process' & pid = 0`*\
*`--> @dm:addrow ip_address = '10.95.122.221' & process_name = 'svchost.exe' & pid = 1020`*\
*`--> @dm:addrow ip_address = '10.95.122.221' & process_name = 'svchost.exe' & pid = 1020`*\
*`--> @dm:addrow ip_address = '10.95.122.221' & process_name = 'silsvc.exe' & pid = 1064`*\
*`--> @dm:addrow ip_address = '10.95.159.100' & process_name = 'smbhash.exe' & pid = 1152`*\
*`--> @dm:addrow ip_address = '10.95.122.221' & process_name = 'svchost.exe' & pid = 1172`*\
*`--> @dm:dns_ip_to_name from_cols = 'ip_address' & to_cols = 'fqdn' & keep_value = 'yes'`*<br>

![Pipeline code](/files/-Mg7kZUw9D8lNaEfVArY)

Step &#x33;**:** Click verify button to verify the pipeline. RDA will verify the pipeline without any errors (as shown below)

![Pipeline code verified for any syntax errors](/files/-Mg7kyvS8ooSvfAIG_wM)

Step &#x34;**:** Click execute button to execute the pipeline. RDA will execute the pipeline without any errors (as shown below)

![Pipeline code executed without any errors](/files/-Mg7lVhieDchMjLdWJwu)

Step 5: Verify that the ip\_address field as part of the dataset is resolved and print the FQDN (full qualified domain name) using DNS resolution as shown in the below screenshot.

![Pipeline uses RDA machines DNS resolution to resolve IP Address to FQDN as shown in the screenshot](/files/-Mg7mP_oMCrUWCZNoRD6)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudfabrix.io/rda/rda-userguide/rda-aiops-studio/examples-jupyter/data-mapping-cfxdm-dm-dns_ip_to_name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
